package org.mule.module.filepack;

import org.mule.api.MuleMessage;
import org.mule.module.client.MuleClient;
import org.mule.module.datapack.columns.Column;
import org.mule.tck.FunctionalTestCase;
/**
 * 
 * @author marianogonzalez
 *
 */
public class DataPackBeanOutputTestCase extends FunctionalTestCase {

	@Override
	protected String getConfigResources() {
		return "datapack-bean-test-config.xml";
	}
	
	
	public void testTransform() throws Exception {
		
		final String payload = "PAYLOAD";
		MuleClient client = new MuleClient(muleContext);
        MuleMessage result = client.send("vm://beanTransformation.in", payload, null);
        assertNotNull(result);
        assertNull(result.getExceptionPayload());
        assertTrue(result.getPayload() instanceof Column);
        
        Column bean = (Column) result.getPayload();
        assertEquals(bean.getColumnName(), payload);
        assertEquals(bean.getLength(), "28");
	}
	
}
