/*
 * $Id:$
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSoft, Inc.  All rights reserved.  http://www.mulesoft.com
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */
package org.mule.module.filepack;

import java.util.List;
import java.util.Map;

import org.mule.api.MuleMessage;
import org.mule.module.client.MuleClient;
import org.mule.tck.FunctionalTestCase;


public class DataPackDelimitedToMapsTestCase extends FunctionalTestCase
{
    @Override
    protected String getConfigResources()
    {
        return "datapack-delimited-to-maps-test-config.xml";
    }

    public void testDelimitedToMaps() throws Exception
    {
        MuleClient client = new MuleClient(muleContext);
        MuleMessage request = client.send("vm://delimitedToMaps.in", "data\tdata\ndata\tdata", null);

        assertNotNull(request);
        assertNotNull(request.getPayload());
        assertTrue(request.getPayload() instanceof List);
        assertEquals(2, ((List<?>) request.getPayload()).size());
        assertTrue((((List<?>) request.getPayload()).get(0) instanceof Map));
        
        @SuppressWarnings("unchecked")
        Map<String,String> hm = (Map<String,String>) (((List<?>) request.getPayload()).get(0));
        
        assertEquals("data", hm.get("value1"));
        assertEquals("data", hm.get("value2"));

    }
}
