/*
 * Generated by the Mule project wizard. http://mule.mulesoft.org
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */
package org.mule.module.filepack;

import java.util.HashMap;

import org.mule.api.MuleMessage;
import org.mule.module.client.MuleClient;
import org.mule.tck.FunctionalTestCase;
import org.mule.transport.NullPayload;


public class DataPackFixedWidthOutputTestCase extends FunctionalTestCase
{
    protected String getConfigResources()
    {

        return "datapack-fixed-width-test-config.xml";
    }

    public void testFixedWidthOutputRightPad() throws Exception
    {
        MuleClient client = new MuleClient(muleContext);
        MuleMessage result = client.send("vm://fixedwidthoutputrightpad.in", "data", null);
        assertNotNull(result);
        assertNull(result.getExceptionPayload());
        assertFalse(result.getPayload() instanceof NullPayload);

        assertEquals("data data  \n", result.getPayloadAsString());
    }

    public void testFixedWidthOutputLeftPadNonDefaultPadding() throws Exception
    {
        MuleClient client = new MuleClient(muleContext);
        MuleMessage result = client.send("vm://fixedwidthoutputnondefaultpadding.in", "data", null);
        assertNotNull(result);
        assertNull(result.getExceptionPayload());
        assertFalse(result.getPayload() instanceof NullPayload);

        assertEquals("0data00data\n", result.getPayloadAsString());
    }

    public void testFixedWidthOutputNullValues() throws Exception
    {
        MuleClient client = new MuleClient(muleContext);
        HashMap<String, String> map = new HashMap<String, String>();
        map.put("data", "data");
        MuleMessage result = client.send("vm://fixedwidthoutputnullvalues.in", map, null);

        assertNotNull(result);
        assertNull(result.getExceptionPayload());
        assertFalse(result.getPayload() instanceof NullPayload);
    }

    public void testFixedWidthOutputDefaultPadding() throws Exception
    {
        MuleClient client = new MuleClient(muleContext);
        MuleMessage result = client.send("vm://fixedwidthoutputdefaultpad.in", "data", null);

        assertNotNull(result);
        assertNull(result.getExceptionPayload());
        assertFalse(result.getPayload() instanceof NullPayload);


    }
}
